import serial
import time, datetime
import matplotlib.pyplot as plt
import numpy as np
import csv
    
ser = serial.Serial ("COM3",9600)

#data =[]                       # empty list to store the data
data_x = []  #time
data_y = []  #sensor data
data_ym2 = []  #sensor data minus 2


with open('20221120_Tank1.csv', 'w', newline='') as csvfile:
    fieldnames = ['Time', 'Specific Gravity', 'Temperature']
    writer = csv.DictWriter(csvfile, fieldnames=fieldnames)

   # writer.writeheader()

    for i in range(10):
        b = ser.readline()         # read a byte string
        string_n = b.decode()  # decode byte string into Unicode  
        string = string_n.rstrip() # remove \n and \r
        pressure = float(string.split(" ")[0])
        temp = float(string.split(" ")[1])
        #flt = float(string)        # convert string to float
        string_time = str(datetime.datetime.today()).split()[1].split('.')[0]
        print(pressure,temp,string_time)
        writer.writerow({'Time': string_time, 'Specific Gravity': pressure, 'Temperature': temp})
        data_x.append(string_time)
        data_y.append(pressure)
        data_ym2.append(temp)
        time.sleep(0.1)            # wait (sleep) 0.1 seconds

#Generate graph

plt.plot(data_x,data_y, label='Pressure (Pa)')
plt.plot(data_x,data_ym2, label='Temperature (°C)')
plt.xticks(rotation=45,ha='right')
plt.xticks(np.arange(0, len(data_x)+1, 10))
plt.subplots_adjust(bottom=0.20)
plt.xlabel('Time (seconds)')
plt.ylabel('Sensor Reading')
plt.title('Sensor Reading vs. Time')
plt.legend()
plt.show()

    # if seconds == 00 - one graph per minute
    #string_seconds = string_time.split(':')[2]

    #if string_seconds == '00' :
        #string_yesterday = str(datetime.datetime.today() - datetime.timedelta(days=1)).split()[0]
        #plt.savefig('myplot'+ string_yesterday +'.png
        #string_today = str(datetime.datetime.today()).split()[0]
        #string_hours = string_time.split(':')[0]
        #string_minutes = string_time.split(':')[1]
        #plt.savefig('myplot'+ string_yesterday + string_hours + string_minutes +'.png')

# write to live graph
#plt.savefig('myplot.png')
plt.close()

ser.close()

