#include "HX710B.h"
#include <OneWire.h>
#include <DallasTemperature.h>
 
const int DOUT = 2;   //sensor data pin
const int SCLK  = 3;   //sensor clock pin
const int SENSOR_PIN = 13; // Arduino pin connected to DS18B20 sensor's DQ pin
 
HX710B pressure_sensor; 
OneWire oneWire(SENSOR_PIN);         // setup a oneWire instance
DallasTemperature tempSensor(&oneWire); // pass oneWire to DallasTemperature library

float tempCelsius;    // temperature in Celsius
//float tempFahrenheit; // temperature in Fahrenheit

void setup() {
  Serial.begin(9600);
  pressure_sensor.begin(DOUT, SCLK);
  tempSensor.begin();    // initialize the sensor
}
 
void loop() {
  
  if (pressure_sensor.is_ready()) {
    //Serial.print("Pascal: ");
    Serial.print(pressure_sensor.pascal());
    //Serial.print("ATM: ");
    //Serial.println(pressure_sensor.atm());
    //Serial.print("mmHg: ");
    //Serial.println(pressure_sensor.mmHg());
    //Serial.print("PSI: ");
    //Serial.println(pressure_sensor.psi());
      Serial.print(" ");
  } else {
    Serial.println("Pressure sensor not found.");
  }
 
  delay(500);
  
  tempSensor.requestTemperatures();             // send the command to get temperatures
  tempCelsius = tempSensor.getTempCByIndex(0);  // read temperature in Celsius
  //tempFahrenheit = tempCelsius * 9 / 5 + 32; // convert Celsius to Fahrenheit

  //Serial.print("Temperature: ");
  Serial.println(tempCelsius);    // print the temperature in Celsius
  //Serial.print("°C");
  //Serial.print("  ~  ");        // separator between Celsius and Fahrenheit
  //Serial.print(tempFahrenheit); // print the temperature in Fahrenheit
  //Serial.println("°F");

  delay(500);

}